import { fetch, post } from '@/api/http'
export default {
    findCourse: function (data) {
        return post('/school/course/find', data)
    },
    saveOrUpdateCourse: function (data) {
        return post('/school/course/upsert', data)
    },
    deleteCourse: function (data) {
        return post('/school/course/delete', data)
    },
    //批量删除课程
    deleteCourseAll: function (data) {
        return post('/school/course/delete-all', data)
    },
    //管理员保存排课数据——单堂设置
    upsertPlanDto: function (data) {
        return post('/school/course/upsert-management', data)
    },
    //管理员保存排课数据——批量导入
    importAllPlan: function (data) {
        return post('/api/Course/importAllPlan', data)
    },
    //任课教师保存课程附属信息
    upsertPlan: function (data) {
        return post('/api/Course/upsertPlan', data)
    },
    //查询课程安排数据
    findPlan: function (data) {
        return post('/school/course/find-management', data)
    },
    //删除课程安排数据
    deletePlan: function (data) {
        return post('/api/Course/deletePlan', data)
    },
    //删除一节课的安排
    deleteTime: function (data) {
        return post('/api/Course/deleteTime', data)
    },
    //获取教室关联的学生（移动到班级api管理）
    //getClassroomStudent: function (data) {
    //    return post('/student/class/find', data)
    //},
    //虚拟教室添加学生
    addClassroom: function (data) {
        return post('/api/ClassStudent/upsert', data)
    },
    //获取教师列表
    getSchoolTeacher: function (data) {
        return post('/school/teacher/get-teacher-all', data)
    },
    //获取教师标准课程列表
    getSchoolCusMgt: function (data) {
        return post('/school/course/find-course', data)
    },
    //获取教师个人课程列表
    getPrivateCusMgt: function (data) {
        return post('/school/course/find-teacher-course', data)
    },
    //新增/修改个人课程
    upsertPrivateCus: function (data) {
        return post('/school/course/upsert-teacher-course', data)
    },
    //更新保存标准课程公告
    upsertNotice: function (data) {
        return post('/school/course/upsert-notice', data)
    }

}
